From 1901fdda85f0cf454be9928564a513492a0eeb55 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Jul 19 2023 01:23:24 +0000
Subject: [PATCH 30/32] [ktorrent]: housekeeping


---

diff --git a/libre/ktorrent/PKGBUILD b/libre/ktorrent/PKGBUILD
index 5af3b8d..a0b09f2 100644
--- a/libre/ktorrent/PKGBUILD
+++ b/libre/ktorrent/PKGBUILD
@@ -1,35 +1,41 @@
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Maintainer (arch): Ronald van Haren <ronald.archlinux.org>
 # Contributor: Travis Willard <travisw@wmpub.ca>
 # Contributor: Georg Grabler <ggrabler@gmail.com>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
+
+
+# parabola changes and rationoale:
+# - build without webengine (search feature)
+
 
 pkgname=ktorrent
 pkgver=23.04.3
 pkgrel=1
 pkgrel+=.parabola1
 pkgdesc='A powerful BitTorrent client for KDE'
-pkgdesc+=', without nonfree qt5-webengine support'
 arch=(x86_64)
 arch+=(i686 armv7h)
 url='https://apps.kde.org/ktorrent/'
 license=(GPL2)
-depends=(libktorrent kcmutils knotifyconfig kparts phonon-qt5)
+depends=(libktorrent kcmutils knotifyconfig kparts phonon-qt5 qt5-webengine)
+depends=( ${depends[*]/qt5-webengine/} )
 makedepends=(extra-cmake-modules kdoctools boost plasma-workspace kdnssd taglib syndication kplotting geoip)
 optdepends=('plasma-workspace: shutdown plugin' 'kdnssd: zeroconf plugin' 'taglib: mediaplayer plugin' 'geoip: info widget plugin'
             'syndication: syndication plugin' 'kplotting: statistics plugin')
 groups=(kde-applications kde-network)
-source=(https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz{,.sig}
-       'libre.patch')
+source=(https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz{,.sig})
+source+=(libre.patch)
 sha256sums=('e507cb5b176b11bbe9293ee92cb026838498e1f8bfad5097c5fd13b8ec8e069f'
-            'SKIP'
-            'aa44d844895294799f5d52838af3dc314f2005a892b365beed76c5de6a374a10')
+            'SKIP')
+sha256sums+=('aa44d844895294799f5d52838af3dc314f2005a892b365beed76c5de6a374a10')
 validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7  # Albert Astals Cid <aacid@kde.org>
               F23275E4BF10AFC1DF6914A6DBD2CE893E2D1C87  # Christoph Feck <cfeck@kde.org>
               D81C0CB38EB725EF6691C385BB463350D6EF31EF) # Heiko Becker <heiko.becker@kde.org>
 
 prepare() {
-  cd "$pkgname-$pkgver"
+  cd $pkgname-$pkgver
+
   patch -p1 -i ../libre.patch
-  cd ..
 }
 
 build() {

